﻿using System;
using System.Windows.Forms;
using AddinExpress.MSO;
using Outlook = Microsoft.Office.Interop.Outlook;
 
namespace adx_ol_cs_OutlookFoldersEvents
{
    /// <summary>
    /// Add-in Express Outlook Folders Events Class
    /// </summary>
    public class OutlookFoldersEvents : AddinExpress.MSO.ADXOutlookFoldersEvents
    {
        public OutlookFoldersEvents(AddinExpress.MSO.ADXAddinModule module): base(module)
        {
        }
 
        public override void ProcessFolderAdd(object folder)
        {
            Outlook.MAPIFolder folderObj = FolderObj as Outlook.MAPIFolder;
            Outlook.MAPIFolder folderParam = folder as Outlook.MAPIFolder;
            MessageBox.Show("The '" + folderParam.Name + "' subfolder is added to the '" + folderObj.Name + "' folder.");
        }
 
        public override void ProcessFolderChange(object folder)
        {
            Outlook.MAPIFolder folderObj = FolderObj as Outlook.MAPIFolder;
            Outlook.MAPIFolder folderParam = folder as Outlook.MAPIFolder;
            MessageBox.Show("The '" + folderParam.Name + "' subfolder is changed in the '" + folderObj.Name + "' folder.");
        }
 
        public override void ProcessFolderRemove()
        {
            Outlook.MAPIFolder folderObj = FolderObj as Outlook.MAPIFolder;
            MessageBox.Show("A subfolder is removed from the '" + folderObj.Name + "' folder.");
        }
    }
}

